<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [AutocompleteData](./bitburner.autocompletedata.md) &gt; [flags](./bitburner.autocompletedata.flags.md)

## AutocompleteData.flags() method

Parses the flags schema on the already inputted flags

**Signature:**

```typescript
flags(schema: [string, string | number | boolean | string[]][]): { [key: string]: ScriptArg | string[] };
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

schema


</td><td>

\[string, string \| number \| boolean \| string\[\]\]\[\]


</td><td>


</td></tr>
</tbody></table>

**Returns:**

{ \[key: string\]: [ScriptArg](./bitburner.scriptarg.md) \| string\[\] }

